Version 2.X.1510
* Added more timezones to GUIs.

Version 2.X.1320+
* Precise height setting was incorrectly applied - corrected.
* Added M1000C support

Version 1.68.23
* Added M1000C support

Version 1.68.22
* Bug in regular requests for memory usage.  Corrected.
* Improved handling of interface event.

Version 1.68.21
* Improved German translation of some items.
* Fixed backward compatibility of settings file (for people trying 2.X.X).

Version 1.68.20
* Fixed problem with records with no position (when showing on map)
  record handling when year < 2000 or when last record in NMEA does not
  have new date information.

Version 1.68.18-.19
* Fixed problem in filter.

Version 1.68.17
* Added message in case memory got corrupted and needs initialisation.

Version 1.68.16
* Italian translation update.
* Forcing autolog (a few users had trouble with this setting being changed
  on their device for mysterious reason.
  Autolog corresponds to logging for time, speed or distance reason.
* Added polish translation.  Small correction in German translation.

Version 1.68.15
* Fixed problem when writing back files "in place" with no position.
  Not doing anything for these files.

Version 1.68.14
* Fixed problem in tagging when time offset did not fit in 16 bit.
* Fixed inplace tagging in  J2SE GUI.

Version 1.68.13
* Added device types.
* Internal changes.

Version 1.68.10-12 Version 1.68.10-12 (BT_J2ME 0.2.68)
* Erase procedure did not necessarily wait properly when the command buffer
  was not empty.  Fixed.
* Some internal code refactoring started.

Version 1.68.9
* Log overwrite was requested in two popups.  Fixed.

Version 1.68.8
* Height conversion options added to PDA version.

Version 1.68.7.1
* Added first version of Catalan.

Version 1.68.7
* Linux & MacOS startup script modified - the MANIFEST took precedence over the classpath

Version 1.68.6.1
* Same as 1.68.6, but with hacked distri of RXTX for better /dev/ACM0 support.

Version 1.68.6
* Due to format change, read back of BT747's own CSV did not work anymore.  Fixed.
* GPX file format reading improved.  Write back of record number improved if not available.

Version 1.68.5
* Writing GSA sentence when one of the data types is available (not only when SID is).
* Improvement to windows startup script.

Version 1.68.4
* Modification of Casio makernotes is ok.

Version 1.68.3
* Debug no longer active automatically.
* Fixed problem in EXIF output - little endian issue fixed.
  Still need to fix problem with Casio makernotes.

Version 1.68.2
* Disable logging functionality during download was not implemented (always disabled).
* Logging enable/disable functionality changed slightly.

Version 1.68.1
* German translation update
* Tab selection indication on toolbar.

Version 1.67.31
* Download button uniquified.  Some faulty translations removed.

Version 1.67.30
* Some issues with new GPX settings fixed and functionality finetuned.

Version 1.67.29
* GPX output is writing 'Voice' type.

Version 1.67.28
* fixes to GPX output (some fields were invalid for waypoints) 
  + GPX1.0 or GPX1.1 selection.  Added links for waypoints with files.

Version 1.67.27
* Changes to avoid renaming non-image files during tag-writeback.

Version 1.67.26
* CSV date '/' added.
* GPX course output ',' -> '.'

Version 1.67.25
* Changed date format in CSV file.
* Trunking of GPS type in J2SE more severe +Q1000X model.

Version 1.67.24
* Can remove items from image list (right click).

Version 1.67.23
* Limit of time split in Log Operations Panel corrected.

Version 1.67.22
* Fix in MultiLogConvert
* Table Column Widths adjusted.
* Can delete files from the lists (right click).

Version 1.67.21
* Changed chunk size limit.

Version 1.67.20
* Show the current GPS position on the map.

Version 1.67.19
* Negative timezones did not work correctly.  Fixed.

Version 1.67.18
* Added ports for Holux-M1000C
* Correcting UTC offset setting when out of range. 

Version 1.67.17
* Drag drop of files possible 'anywhere'.
* Fixed problem with multiple files when there were tagged files already and
  and these files were not in first log file's date range.
* Fixed problem in reordering algorithm for bin files that occurred when
  the method changed from normal to overwrite inside the log.

Version 1.67.16
* GUI functionality for multiple log files somewhat debugged (seems to work).

Version 1.67.15
* LogFile list is now available in the GUI too.

Version 1.67.14
* Multiple input files handling available in command line mode.

Version 1.67.13
* German translation update.
* J2SE can configure timeout, chunk size and chunk ahead.

Version 1.67.12
* Refactoring to prepare for multiple input files.
* Extra message for wabaport.

Version 1.67.11
* Modification(s) in CSV reader to cope with 'bugs' in the log written by
  the Columbus V-900.

Version 1.67.10
* Centering map on position from GPS on initial connection and if no other
  position data is available.
 * Code changes following FindBugs feedback.

Version 1.67.9
* Listing known ports when connection fails.
* [Internal: created parameter object for some conversion parameters]
* KML configuration for track representation added.

Version 1.67.8
* Filename for tagged file is configurable

Version 1.67.7
* Other method used to open external browser.
* Getting closer to configurable filename for tagged files.

Version 1.67.6
* Fix in KMZ output regarding track naming.

Version 1.67.5
* Toolbar now vertical.
* Icons in main menu removed.
* Icons changed.
* Chinese added.

Version 1.67.4
* More work on icons.
* Possibly resolved ',' problem in GPX output (for <ele>) in J2SE.

Version 1.67.3
* Improvement to array extraction from track.
* Correction in GMAPS output for bad track info label.

Version 1.67.2
* Added Spanish
* Showing track segments on internal map + using color set by the user.
* Added tab icons.

Version 1.67.1
* Fixed problem in CSV (when CSV did not have line ending).
* Fixed commandline geotagging (added time offset option for pictures + default time offset).

Version 1.67.0
* Correction to tagging (wrong time used for record filtering).
* Added code for image tagging in cmd line mode (but will need
  extra UTC offset parameter!).

Version 1.66.20
* Russian updated.

Version 1.66.19
* GPStime now maintained in file list (tested!)

Version 1.66.18
* Other fix in EXIF regarding thumbnail image.

Version 1.66.17
* Start/end date issue solved - GPS time offset issue should be solved (not checked).

Version 1.66.16
* Tag button added to 'Files to Tag' tab.

Version 1.66.15
* Added more GPS information to EXIF output.

Version 1.66.14
* Further corrections to tagging + added functionality to separate GPS time from
  file time from tag time & show it.

Version 1.66.13
* Correction in time for tagged positions + copying "all" GPS info to file tag info.

Version 1.66.12
* Improved automatic zoom algorithm in swingx library + automatic rezoom after map change in BT747.

Version 1.66.11
* Some internal changes + display tile url in specific case for debug.

Version 1.66.10
* EPSG4326 map type working.
* Maximum Heap size for J2SE startup increased (for image rendering). 

Version 1.66.9
* Track shown in only one viewport (where the map is shown) - this avoids wrapping 
  with nasty side effects.
* Internal changes in table models.

Version 1.66.8
* Changes to BT747cmd (default = no overwrite for download) + gpx.

Version 1.66.7
* Binary log decoding made smarter for device log that was in a really bad shape.
* Fetching initial data from device made more robust (especially for Cmd mode).

Version 1.66.6
* Fix for GPX input in case an initial pass is needed for the file log format.

Version 1.66.4
* Read GPX files.
* Update to BT747Cmd to select download method.

Version 1.66.3
* Fixed problem in KML/HTML and possibly some other output formats where data
  from other files was repeated in 'One file per day' mode.
* Conversion to a file no longer makes the tab jump to the map.

Version 1.66.2
* Fixed problem in 'windowed' file - solves problem with smart download.
* Fixed problem (J2SE) with erase window being showed twice.
* Added delay for waypoint move on map.
* Added centering for 'user waypoints'.

Version 1.66.1
* Waypoint tagging did not work anymore following data structure changes.
  Fixed.

Version 1.66.0
* User Waypoint List added to map view.

Version 1.65.3
* Interoperability block taken into account in EXIF

Version 1.65.2
* Added scroll bar to tab pane

Version 1.65.1
* Fixed buttons that were unavailable after connection in log operations panel.

Version 1.65.0
* Refactoring of Log Operations Panel.  Solved problem with short cut conversion buttons
  not being displayed on some systems.

Version 1.64.8
* More thread synchronisation protection for serial connection.

Version 1.64.7
* Hopefully fixed a minor naming problem in KML output.

Version 1.64.6
* fix in CSV output format and correction to RCR field detection in GPSRecord.

Version 1.64.5
* Selection between different maps is possible.

Version 1.64.4
* Extra buttons added.
* Mapping library updated.
* Problem with multiple files in KMZ output resolved.

Version 1.64.3
* Map mashup code improved + cache identifies map type in filename.

Version 1.64.2
* Map can be cached on disk.

Version 1.64.1
* Improvements on track calculations.
* New unused classes added for future reference.
* Setup in Netbeans 6.5 (classpath)

Version 1.64
* Right click on waypoint will show record number and type.
* Some corrections to track rendering and added waypoints tab.

Version 1.63.7
* Tracks added on the map.  Not perfect yet when the track goes outside the window.

Version 1.63.6
* Tracks added on the map.  Not perfect yet when the track goes outside the window.

Version 1.63.5
* Trackpoints from log added to the map.

Version 1.63.4
* Positions (waypoints) can be moved around on the map and the positions
  in the file list get updated.

Version 1.63.3
* Removed other data request that was inappropriate.

Version 1.63.2
* Setting the boundary limit resulted in permanent problem.
  No longer automatically requesting data during download now.

Version 1.63.1
* Log download requests no longer include a 0x10000 boundary.

Version 1.63
* Added map tab

Version 1.62.17
* Drag and drop of files added to Files tab.

Version 1.62.16
* Fixed time offset calculation on value restoration.
* No more adding the hyphen when the basename is empty.

Version 1.62.15
* Solved several issues in geotagging.

Version 1.62.14
* Added 'sym' field to GPX output (for PotLatch waypoints on OSM).
* JPG Exif reading was broken.

Version 1.62.13
* Seconds added to file time offset.
* Correction in new UTC offset combobox code.
* Added BT mac address setting, other download methods, settings store & restore.

Version 1.62.12
* Added Exit button functionality & improved exit functionality.
* Added time offset functionality for waypoint files.

Version 1.62.11
* Problem when JFIF marker in front of EXIF marker solved.
  This does not seem to comply with the EXIF2.2 specification though.

Version 1.62.10
* Writing back geotag information working when some EXIF information present.
  Need to check when EXIF not present.

Version 1.62.9
* Getting modification time from files for files to tag and changed GUI text.
  File filters now allow directory listing.
    
Version 1.62.8
* Reworked code - images seem to be geopositioned correctly.  Surely still some
  problems remaining.

Version 1.62.7
* Images in table with geotag information are now 'mapped' in the output.
  Images without geotag information may be positions based on time (UTC).

Version 1.62.6
* First image table added.

Version 1.62.5
* Problem with table initialization (GUI table) seen on Java 1.5 - should be corrected.

Version 1.62.4
* Further improvement to KML/KMZ output and to GPX output (empty point).

Version 1.62.3
* Waypoints in KML and KMZ output now arranged in subfolders labeled by date.d
* run_j2se.bat startup script change to allow command line execution.

Version 1.62.2
* First implementation of GUI table output.
* Fixed a bug in the HTML output - tracks were drawn during way point calculation.

Version 1.62.1
* Auto update of values that change in the device without application intervention.

Version 1.62
* All languages in one package.
* Limits on time interval, distance, speed increased.

Version 1.61.10
* Added reverse address lookup in HTML output.  Clicking the same location twice
  (not doubleclick!), shows the address of the location if known by GMaps.
* Fix in the download code that had major impact in Mobile Version.

Version 1.61.9
* Change in startup scripts to copy with 64/32 bit on linux.

Version 1.61.8
* Handling of binary files that are in 'overwrite mode' improved.
  Looking for 'start' in file.

Version 1.61.7
* Dutch added, some corrections to language selection handling.

Version 1.61.6
* Added language configurability to GUI.

Version 1.61.5
* NMEA input ant output functionality adjusted to be coherent with height correction.
  NMEA now considered as WGS84.

Version 1.61.4
* Height conversion option extended: automatic, no change, msl_to_wgs84, wgs84_to_msl.
* Height limitation in binary input check increased: limit now 15000 in stead of 10000.

Version 1.61.3
* DOS Startup scripts improved.

Version 1.61.2
* Linux startup scripts corrected & improved.
* Change in html output (window height does not need to be 400).


Version 1.61.1
* Corrected html waypoint output when multiple dates in one file.
* Added --height-to-msl in BT747cmd


Version 1.61
* Changed text of some buttons.
* Output File Prefix cleaned up when using path selection popup.

Version 1.60.24
* Added track split options.

Version 1.60.23
* NMEA record split condition improved.

Version 1.60.22
* Initialization of values in BT747cmd done by default initialisation and
  hence complete.

Version 1.60.21
* Fixed error in date interpretation in CSV input due introduced during
  addition of VGPS-900 support.

Version 1.60.20
* Fixed raw log file text input field in J2SE.
* KMZ output now buffered.

Version 1.60.19
* KMZ Fixed in BT747cmd.

Version 1.60.18
* Added KMZ output format in Desktop interface.

Version 1.60.17
* Fixed formatting of Double numbers (Locale trouble, visible in KML output).
* Added NMEA output and color options to BT747cmd

Version 1.60.16
* Added support for VGPS-900.

Version 1.60.13
* Repaired icon functionality.

Version 1.60.12
* Changed KML Format so that Google Maps can read it (despite its bugs...).
* Added Track Point Comment and Track Point Name options.  When both disabled,
  Track Points will not be shown individually in the KML output format.
  That makes the file much smaller.

Version 1.60.11
* All the popup messages are in nice boxes now.

Version 1.60.10
* Gray out the interface items that are invalid when not connected.
* Changed erase popup window button to 'Cancel'
* Changed default directory to user home directory.
* J2SE Interface did not correctly implement DPGS settings and overwrite/stop indicator.

Version 1.60.8
* Correction to BT747Cmd - "-f" option not correctly taken into account.

Version 1.60.7 (since 1.59.10)
* A lot of work on the J2SE interface.

Version 1.59.10 (since 1.57.9)
* Added extra debug information to INFO screen.
* CSV file also outputs way points now.

Version 1.59.7 (since 1.57.5)
* Many internal changes to make the code structure better overall.
* Special way points added in KML and HTML output.
* Download will not start until output command buffer is handled.
* J2SE interface pretty much implemented.
* Fix for incremental (smart) download.

Version 1.57.5
* Command line interface well advanced.

Version 1.57.3
* Refactored NMEA string handling in GPSstate, NMEA file read which also
  fixes bug regarding speed conversion in GPSstate.
* Added J2SE actionlisteners so that the appropriate code can be added to
  finish this GUI.


Version 1.57.2
* Changed identification of special way points (count starting from 0).
* Corrected logging way points and activating logging if needed.

Version 1.57
* Negative UTCs were not handled as an error in the filter 
  - now negative dates are 'filtered' and identified as a 
    bad field in raw logs.

Version 1.55.3
* Further corrections to save the settings
* Internal changes.

Version 1.55.2
* Saving the settings was broken - should be solved.

Version 1.55.1
* Waypoint list got inverted.
* When CSV was read, T was always added as log reason - corrected.

Version 1.55
* Added goto functionality to GMaps output.  Improved page layout setup (adding space for footer earlier).

Version 1.54.5
* Added extra maps to 'GMaps' output: Cycle map and OSM map using the Osmarender.
* Removed 'restart connection' in settings menu.
* Added 'stop log after connection' in settings menu.

Version 1.54.4
* Changed default for GPX track splitting 'trkseg when small'.
* Changed default for bad track color.
* When bad track color is equal to good track color (0000FF), this also has effect on GPX format.
  No new track or tracksegment when the color is the same (bad positions are ignored).

Version 1.54.3
* Added possibility to set BT mac address.

Version 1.54.2
* For GPX, trackpoint naming removed.
* Added detection of overwrite status in log - full download done when overwrite is active for first record.
* Requesting flash memory type on connection setup.
* Added extra port to mac script. 
* Making sure that the line endings in bat files are dos like.
* Full log download can be forced in PDA GUI.

Version 1.54.1
* For GMAP, the encoding is improved when the bad track color is the same as the good track color.
* For GMAP, added code to show position where clicked.
* File format output settings now stored in settings, but partially reverted on restart of the app.


Version 1.54
* tracks on google map now clickable
* Time information added to waypoints on google map.
* NMEA input functional
* Added extra output field filtering (for comments, trackpoint names)

Version 1.53.2
* Added 'SimpleExample.java' to show how to use basic functionality of the library.
  In the process, renamed some methods for consistency and added some methods to the controller and model.
  Also fixed issues in GPSArray creation.

Version 1.52.3
* Started adding support for reading NMEA (not operational yet).
* Added support to select output fields (implemented for some formats: KML, CSV, GMaps, to be done for others).
* Added functionality to GMAPS: description of waypoints.
* Other internal changes.


Version 1.52.2
* Added indication of number of available records.
* Fixed bug regarding enable of test SBAS following code reading.
* Fixed two issue with google map generation: one due to changes for style (\r\n in output),
  the other due to old changes (no separate labels for tracks). 

Version 1.52.1
* Refactoring & commenting of code.
* Bug correction regarding holux log record size estimation (and number of max records)

Version 1.52
* Corrected another problem regarding connection.
* Work on symbian target

Version 1.51
* Build was not correct for making the connection (result of refactoring).
  Corrected the build script.

Version 1.50
* A user was using the 'new', buggy parser by unfortunate coincidence.
  Now forcing the 'standard' parser on SuperWaba interface regardless of previous
  setting that could have been changed in the J2SE interface.
* The format bit that said 'Holux M-241' is actually indicating that only valid log points
  should be logged - changed the description.
* RXTX binaries went missing from the delivery (since >1.43?) - fixed.

Version 1.49
* Fix of the 'bt747_maxosX.command' script
* Log conditions written to CSV output format (when requested in menu)
* Small reorganisation of menu
* Reorganisation of code (hopefully with no functional impact on user)

Version 1.48
* Resolved issue concerning log on/off indication
* Resolved web launch issue
* Resolved issue in GPSCompoGPSTrk format (waypoint)
* Some extra recognition of models
* Fixed conversion when CSV input and no fix or rcr information is available.
* Able to get bluetooth mac address (Holux M241)
* Converting Holux M 241 waypoint information 

Version 1.47
* Date/time indicated on gmaps page was incorrect in "most" cases.  Solved.
* Directory structure changed.  build.xml improved.

Version 1.46
* End of block handling improved - especially usefull for Holux M241 devices with
  satellite logging active.

Version 1.45
* Distance can now be expressed in decimeters.
* Problem mainly appearing on WM devices should be solved now.

Version 1.44
* Added japanese beta
* Reverted a change from 1.39 to 1.40 that potentially harmed PocketPC users (removed static
  on menu string list).

Version 1.43
* Some changes in startup order to see effect on WM5.0 device.

Version 1.42
* Improvements to binary log format interpretation, especially for Holux M-241 format.
  Has an impact on other log interpretations too (the implemented error recovery mechanism
  was hiding some bugs in the 'iBlue 747 like format interpretations).


Version 1.41
* Some changes in device recognition (given new device info with BT-Q1000).
* Possibility to add record number in logs (gpx, kml).
* A warning message is provided when no records were selected.
* Date filter was not taken into account for advanced filter - solved.
* CSV files can be read now.
* Added option to force 'Holux 241' format and improved interpretation of Holux M241 format.

Version 1.40
* Deactivating device logging automatically during download.
  The original setting is restored after download.
  Some users reported a positive effect of disabling logging during download.
* Changed GMAP format to be able to activate/de-activate parts of the track.
* Possibility to set key for Google Map file through 'gmapkey.txt' file.

Version 1.39
* Settings of device can now be saved and restored (after battery removal for example)
* German translation
* French translation
* Chinese translation (automatic -> beta)

Version 1.38
* Spanish translation!
* Some changes to the forced erase procedure.

Version 1.37
* Somewhat more tolerant if header is all 0xFF (in case of holux);
* "Externalised" <<all>> interface strings to separate class for translation
* Added target for spanish translation in Ant build file
* Set up an environment in netbeans (for trial)
* Included 'forgotten' source directory in distribution, and added netbeans.

Version 1.36
* Added Holux specific functionality (Name setting) - untested.
* Resolved bug regarding satellite information in NMEA output format when no satellite info
 is available.

Version 1.35
* Extra sanity check on a record to ensure that it is valid.
* Also writing WPT file when writing TRK file (CompeGPS).

Version 1.34
* Back to using the log format bit #31 to identify the log as a Holux specific log.
  The 'HOLUXGR241LOGGER' string is not necessarily in the log!

Version 1.33
* If binary file has '.trl' extension, it will be interpreted as a Holux tracklog file.
  Careful: the application can not generate such a file!

Version 1.32
* Added estimation of number of records to log Format Tab.

Version 1.31
* Ignoring NMEA data done at an earlier stage while downloading - hopefully improves
  performance on PDA devices.
* Focus highlighting made configureable and disabled by default on some devices.

Version 1.30
* CompeGPS 'TRK' format added
* Extra NMEA strings added to NMEA format (GSA,GSV)

Version 1.29
* Using other technique to determine if log is from a holux (M-241) device.
* Buttons turning green during conversion.

Version 1.28
* Support for Holux M-241 added - the log is slightly different from the other devices
  but is now correctly handled for time, lat, lon and height data.

Version 1.27
* Selected port number was not correctly recovered from settings.

Version 1.26
* Possibility to change baud rate setting.
* Removed 'USB' button, no longer usefull (other means exists)

Version 1.25
* Updated the UTC range to go up to +14.

Version 1.24.1
* Added new button on the 'Easy tab': Forced erase.  This will reformat the log and reset
  any statistics regarding bad sectors.
* Added initial delay to check if erase was successfull.

Version 1.23
* NSAT advanced filter logic was inverted - corrected

Version 1.22
* Solution provided in 1.21.2 resulted in KML format generation problems.
  Solution is improved.

Version 1.21.2
* Extra 'DataFooter' was written at end of file (at least for the GPX format) - solved.

Version 1.21.1
* Added flash device type (no functional changes)

Version 1.21
* Advanced filter was not set up correctly - correctly.
* Index out of range could occur when estimating size of a record due to signed
  bit shift - solved (unsigned bit shift).

Version 1.20
* Solved several problems related to multiple and single file creation.

Version 1.19.1
* Added an extra condition for MacOS to solve the flicker with menus and popups.
  The program seems to behave normally on that OS now.

Version 1.19
* Added a popup when erasing that disappears when the erase is finished.
* Lag delay resolution on MacOS resolved - popups will flicker on MacOS though.
  This looks very much like a SuperWaba problem - maybe it will get analysed so
  that flicker on MacOS can be made to disappear.  At least the lag is gone.

Version 1.18
* Yet another update to try and solve the MacOS lag problem.
* More information shown on the connection tab (Flash Information & logger version)
* Added possibility to log a point with a specific reason other than speed, distance, time, button, ..
* Added possibility to change value for color of invalid tracks (currently in GMAP format)
* Solved bug releated to trackpoints not being written to the first file in certain output formats.


Version 1.17.X  - BETA
* Yet another update to try and solve the MacOS lag problem.

Version 1.17
* Yet another update to try and solve the MacOS lag problem.

Version 1.16
* Added a timer to the applciation to see if this solves the MacOS GUI lag issue.

Version 1.15
* Reading GPS in 10ms intervals only - hopefully resolves 'speed' issue on MacOS.

Version 1.14
* Changed 'magvar' in 'course' for the 'heading' value in the 'gpx' format.

Version 1.13
* MacOSX startup script corrected (line endings, line split)
* Added possiblity to disable GPS NMEA String decoding (on Con tab).  Could have some
  impact on performance.
* Added possibility to write values to Flash (other tab) as some devices have a
  timesleft value other than 0.

Version 1.12
* Correction in advanced filter for NSAT filtering.
* Changes that should be 'invisible' to the user: calls to the superwaba environment pushed
  into a separate package for the 'core' of the program.  This prepares for J2ME implementation.
* Added functionality to be able to define the configuration file on the command line
  in 'RXTX' mode.

Version 1.11
* Added extra option to no longer separate in different tracks in GPX mode when new menu option is set.

Version 1.10
* Advanced filtering added (filtering on PDOP, VDOP, HDOP, speed, distance, record number.
  A new subtab in the filter tab added.  Advanced filtering must be set to 'active' in that
  tab to enable the filtering.

Version 1.09
* Correction to speed in GPX format (was always 0 after the change for 1.08.
* Incremental download: small improvement.

Version 1.08
* Fixed problem in incremental download (usefull data detection had an error => too much data redownloaded).
* GPX format: speed was in km/h and has to be in m/s -> solved.
* Incremental download: if data is different than before, user confirmation is requested.
  This way the user can still change the raw data filename (avoid overwriting previous data by mistake).
* NMEA format: more precision added (2 extra digits for position and one extra digit for speed).

Version 1.07
* Added path browsing capability to 'LogFile' entry on Filetab.  This allows easy opening of
  previously saved raw data file.
* Added functionality to separate files based on track time separation.

Version 1.06
* GPRMC NMEA string made similar to the one coming from device (extra field indicating autonomous or DGPS).
* Showing current Lat, Lon and Height in Connection window (if values are shown, reception is ok).

Version 1.05
* Added possiblity to force UTC offset in GPX format to 0 regardless of UTC setting.

Version 1.04
* Filter condition changed: now no longer selecting points when all conditions 'deselected'.
* Debug activation added in menu (and stats activation added, but not useable yet).

Version 1.03
* When no height was logged, problem in KML format (empty height) string resulting in bad
  display -> solved.
* Reason for 1.02: Proguard version problem -> false alert.  Actually a user problem.

Version 1.02
* Moved back to previous ProGuard version.  One user had a different behaviour on his handheld device.

Version 1.01
* Moved to ProGuard 4.0.1 (jar file optimization)
* Some optimizations in settings code.
* If not selecting ZDA, time for NMEA strings was incorrect.

Version 1.00
* Version 0.96.3 has been out for long enough.  I consider the application as stable enough to call it 1.00. 
* Added some extra error messages being propagated to the end user (file open/creation).
* It is now possible to select the NMEA strings to be written to the output file  (Other tab -> NMEA File tab).
* The device type (Model) is identified by its commercial name (or commercial equivalent).

Version 0.96.3
* A change for Macintosh: The mac does not need a port number, so port number omitted.
  Added possibility to override port name completely.

Version 0.96.2
* A bug in the incremental download was introduced in 0.96.1.  The end of valid data was incorrectly identified.
  Corrected in this update.
  
Version 0.96.1
* Revisited log download algorithm.  Now requests can be queued.
  This was efficient over bluetooth where download was about 54k/second with the following settings on Palm:
    - Chunk size=220
    - Log ahead request=3
    - Timeout=3500
    - Fix = 500 ms
    - NMEA Output:
       RMC=1
       GGA=GSA=GSV=2

Version 0.95.14
* PPC/WinCE: Create 'My Documents/BT747' directory if it does not exist to save the application settings.

Version 0.95.13
* Application will no longer switch off automatically on Palm devices - this avoids some (timeout)
  trouble on Palm devices and avoid autooff during download.
* Path to log directory can now be set from pull-down list.
* Validated operation on Linux system (PCLinuxOS) and adjusted 'run_rxtx.sh' script.

Version 0.95.12
* Google maps: when tracks are separated due to a trackpoint that is 'lost', track segments
  are interconnected with red line.


Version 0.95.11
* Added waypoints to Google Map output format and points are now 'encoded'.

Version 0.95.10
* Implemented 'GMAPS' output format : HTML file that will show trail on google maps.

Version 0.95.9
* Added functionality to read and change the NMEA string settings of the device.


Version 0.95.8
* PLT: conversion to height in feet was incorrect. Corrected.


Version 0.95.7
* NMEA format: speed written in knots was wrong conversion from speed in km/h
 (almost double instead of half).  Corrected.

Version 0.95.6
* Changed interface of connection tab.
* RxTx: different port name according to OS (Windows, Linux, Mac).  This allows direct
  use of RXTX on windows (and other systems) and should result in less installation
  hassle.
* Problems when interpreting satelite information solved:
 - data log specification problem;
 - last record of block;
 - false end of record identification.
* Moved BT747.jar and BT747_rxtx.jar to dist dir, this impact startup scripts.


Version 0.95.5
* Increased limits on fix setting (fix frequency slower than 1Hz now possible) and on 
  log reason settings (speed as low as 1km/h and distance as low as 1 m).

Version 0.95.4
* Added tickbox to remove difference between WGS84 and geoid (Mean Sea Level, MSL) from
  the logged height (as it was added by the logger).

Version 0.95.3
* KML format got improved: Track added (with extrusion) to show a line in stead of points.
* Some extra error messages in case of file problems.

Version 0.95.2
* Added specific target for Linux (serial port opening in entirely new class).
  A linux specific 'jar' file has been created (in the Linux directory).
  Experimental and untested.
* Bug fix: no more file was written when 'one file per day' was not selected.
* Performance improvement (profiled File output writing)
* KML format change (waypoints added).


Version 0.95.1
* Bug fix (on device): clone() method does not exist for arrays - replaced y explicit copy.
  User effect: java exception when converting to output format on device (solved).
* Bug fix: no more file was written when 'one file per day' was not selected.
* Performance improvement (profiled File output writing)

Version 0.95
* Bug fix (incorrect log interpretation when RCR and Distance not both logged)
* Satellite information now decoded from log.
* Satellite information written to CSV file.

Version 0.77.23
* Solved some bugs related to the file splitting per date & improved function to avoid files without elements.
* Added feature to change log format without erasing the device.  The resulting log can
  not be read by the original application delivered with the device, but this program
  can read the log.
* Worked around a problem when satellite specific data is logged (sid, ele, snr, azimuth).
  The amount of data varies with the number of satelites - this is now covered for.
  The data is not interpreted though and not written to any output file (sorry, but I do
  not need that function and this is volunteering!).

Version 0.77.22
* All formats now have a filename including the date.
* Method reuse in file output classes (resulting in smaller footprint)

Version 0.77.21
* Added popup message when file for download could not be opened.
* GPX: filename now includes date.  If 'one file per day' is checked, then there are as many
  files as there are days logged.
* Resolved bug concerning retrieving settings when upgrading.
* The trkpts in the gpx file now also include the comments.

Version 0.77.20
* Added new tab with some functions frequently requested on forums (fix freq.) and some not
  available on other tabs (hot/warm/cold start).

Version 0.77.19
* On ppc (wince), settings now saved on program exit.
* Log point filtering now separated for waypts and trkpts.
* Optimizing with proguard (resulting in smaller object files)

Version 0.77.18
* Updates to gpx format
* Setting saved on ppc (wince) OS.  Must click on 'set values button' in 'File' tab for the moment to save the settings.

Version 0.77.17
* Modified display of device version and application SW version for better information.
* Added NMEA output format (readable by locr SW).
* Added script and instructions for launching on Linux - partially validated.

Version 0.77.16

* Solved problem regarding timeout on first request.  Fixes double requests for same data and speed up download.
* CSV: LAT/LON values no longer converted to positive values.  In that manner paths can be shown
  directly in an excel graph.

Version 0.77.15

* Not really tested dev version!!!  Purpose deliver latest version on the web before 3 weeks leave.
* Should solve filtering bug when RCR or VALID field missing.
* Some (unnoticeable) bugs resolved.

Version 0.77.14

* Correction of calculation for percentage of memory used.
* Getting device firmware version & model.
* Improved log download on portable device (Palm).
   -> Command acknowledge taken into consideration
   -> Timeout implementation on 'check log'
* PLT format revisited (from http://www.oziphototool.com/fileformats.html)
* CSV format: units no longer mentioned in fields, only in header.

Version 0.77.13

* Added UTC offset field.  This will change the output time and midnight time for date selection.

Version 0.77.12

* Handling more field.  Now all are handled except the variable fields concerning satelite
  information.
* Some (supposed) improvement on data download from device.  This is difficult to validate.

Version 0.77.11

* Added read of flash options (did not activate writing them since not possible it seems)

Version 0.77.10

* Added configuration option 'overwrite/stop'
* Added card selection functionality for Palm devices.
* Allow floating point entry for time interval.  Usefull for 5Hz logging (set time
  interval to 0.2s and fix to 200 ms).

Version 0.77.9

* Added connection version to connection page
* Correct logic concerning null pointer (hopefully this works!).
* Added repaint for all items that were potentially updated after reception of data.
* Added initial version to write Ozi PLT file.

Version 0.77.8

* Problem with default directory setting solved (null pointer)
* Download chunk size and timeout are configurable (for finetuning)


Version 0.77.7

* Following feedback from users, setting download chunck size to 0x200 by default.
* On PPC and WinCE devices, improved the default setting of the output directory.

Version 0.77.6

* Solved 'bug' concerning Gps status update propagation by introducing specific events.

Version 0.77.5

* Implemented more finegrained incremental download.

Version 0.77.4

* Fixed problem when saved option string was empty (resulted in reset).

Version 0.77.3 
* Fixed problem when launching first time (no saved options)

Version 0.77.2
* File setting configuration and memorization.
* Palm download chunck size adjustment

Version 0.77.1

* The PalmOS BT buffer seems 'small' and overruns happened going unnoticed by the SW.
  Now downloading smaller packets & matching size downloaded.
* It is possible to set the base directory for file operations.
* Added more ports to connect to.

Version 0.76

* Fixed incremental logging partially, but still problems to make it work on Palm
   (works on PC) - something to do with read/write capabilities of files on PalmOS.
* The log can now be converted correctly without being connected - the log format
  information is retrieved from the log file itself.
* Added a '.bat' script to launch on windows.

Version 0.75

* Incremental download of log added
* Date filter : corrected calculation of internal UTC date.

Version 0.7

* Added log filtering capability.

Version 0.6

* Added conversion to 'gpx' format;
* Solved issue retrieving log format when clicking on tab;
* Kml format slightly improved so that Google Earth recognizes the time.

Version 0.51

* Added conversion to KML
* Erase procedure did not necessarily wait properly when the command buffer
  was not empty.  Fixed.
* Some internal code refactoring started.

Version 1.68.9
* Log overwrite was requested in two popups.  Fixed.

Version 1.68.8
* Height conversion options added to PDA version.

Version 1.68.7.1
* Added first version of Catalan.

Version 1.68.7
* Linux & MacOS startup script modified - the MANIFEST took precedence over the classpath

Version 1.68.6.1
* Same as 1.68.6, but with hacked distri of RXTX for better /dev/ACM0 support.

Version 1.68.6
* Due to format change, read back of BT747's own CSV did not work anymore.  Fixed.
* GPX file format reading improved.  Write back of record number improved if not available.

Version 1.68.5
* Writing GSA sentence when one of the data types is available (not only when SID is).
* Improvement to windows startup script.

Version 1.68.4
* Modification of Casio makernotes is ok.

Version 1.68.3
* Debug no longer active automatically.
* Fixed problem in EXIF output - little endian issue fixed.
  Still need to fix problem with Casio makernotes.

Version 1.68.2
* Disable logging functionality during download was not implemented (always disabled).
* Logging enable/disable functionality changed slightly.

Version 1.68.1
* German translation update
* Tab selection indication on toolbar.

Version 1.67.31
* Download button uniquified.  Some faulty translations removed.

Version 1.67.30
* Some issues with new GPX settings fixed and functionality finetuned.

Version 1.67.29
* GPX output is writing 'Voice' type.

Version 1.67.28
* fixes to GPX output (some fields were invalid for waypoints) 
  + GPX1.0 or GPX1.1 selection.  Added links for waypoints with files.

Version 1.67.27
* Changes to avoid renaming non-image files during tag-writeback.

Version 1.67.26
* CSV date '/' added.
* GPX course output ',' -> '.'

Version 1.67.25
* Changed date format in CSV file.
* Trunking of GPS type in J2SE more severe +Q1000X model.

Version 1.67.24
* Can remove items from image list (right click).

Version 1.67.23
* Limit of time split in Log Operations Panel corrected.

Version 1.67.22
* Fix in MultiLogConvert
* Table Column Widths adjusted.
* Can delete files from the lists (right click).

Version 1.67.21
* Changed chunk size limit.

Version 1.67.20
* Show the current GPS position on the map.

Version 1.67.19
* Negative timezones did not work correctly.  Fixed.

Version 1.67.18
* Added ports for Holux-M1000C
* Correcting UTC offset setting when out of range. 

Version 1.67.17
* Drag drop of files possible 'anywhere'.
* Fixed problem with multiple files when there were tagged files already and
  and these files were not in first log file's date range.
* Fixed problem in reordering algorithm for bin files that occurred when
  the method changed from normal to overwrite inside the log.

Version 1.67.16
* GUI functionality for multiple log files somewhat debugged (seems to work).

Version 1.67.15
* LogFile list is now available in the GUI too.

Version 1.67.14
* Multiple input files handling available in command line mode.

Version 1.67.13
* German translation update.
* J2SE can configure timeout, chunk size and chunk ahead.

Version 1.67.12
* Refactoring to prepare for multiple input files.
* Extra message for wabaport.

Version 1.67.11
* Modification(s) in CSV reader to cope with 'bugs' in the log written by
  the Columbus V-900.

Version 1.67.10
* Centering map on position from GPS on initial connection and if no other
  position data is available.
 * Code changes following FindBugs feedback.

Version 1.67.9
* Listing known ports when connection fails.
* [Internal: created parameter object for some conversion parameters]
* KML configuration for track representation added.

Version 1.67.8
* Filename for tagged file is configurable

Version 1.67.7
* Other method used to open external browser.
* Getting closer to configurable filename for tagged files.

Version 1.67.6
* Fix in KMZ output regarding track naming.

Version 1.67.5
* Toolbar now vertical.
* Icons in main menu removed.
* Icons changed.
* Chinese added.

Version 1.67.4
* More work on icons.
* Possibly resolved ',' problem in GPX output (for <ele>) in J2SE.

Version 1.67.3
* Improvement to array extraction from track.
* Correction in GMAPS output for bad track info label.

Version 1.67.2
* Added Spanish
* Showing track segments on internal map + using color set by the user.
* Added tab icons.

Version 1.67.1
* Fixed problem in CSV (when CSV did not have line ending).
* Fixed commandline geotagging (added time offset option for pictures + default time offset).

Version 1.67.0
* Correction to tagging (wrong time used for record filtering).
* Added code for image tagging in cmd line mode (but will need
  extra UTC offset parameter!).

Version 1.66.20
* Russian updated.

Version 1.66.19
* GPStime now maintained in file list (tested!)

Version 1.66.18
* Other fix in EXIF regarding thumbnail image.

Version 1.66.17
* Start/end date issue solved - GPS time offset issue should be solved (not checked).

Version 1.66.16
* Tag button added to 'Files to Tag' tab.

Version 1.66.15
* Added more GPS information to EXIF output.

Version 1.66.14
* Further corrections to tagging + added functionality to separate GPS time from
  file time from tag time & show it.

Version 1.66.13
* Correction in time for tagged positions + copying "all" GPS info to file tag info.

Version 1.66.12
* Improved automatic zoom algorithm in swingx library + automatic rezoom after map change in BT747.

Version 1.66.11
* Some internal changes + display tile url in specific case for debug.

Version 1.66.10
* EPSG4326 map type working.
* Maximum Heap size for J2SE startup increased (for image rendering). 

Version 1.66.9
* Track shown in only one viewport (where the map is shown) - this avoids wrapping 
  with nasty side effects.
* Internal changes in table models.

Version 1.66.8
* Changes to BT747cmd (default = no overwrite for download) + gpx.

Version 1.66.7
* Binary log decoding made smarter for device log that was in a really bad shape.
* Fetching initial data from device made more robust (especially for Cmd mode).

Version 1.66.6
* Fix for GPX input in case an initial pass is needed for the file log format.

Version 1.66.4
* Read GPX files.
* Update to BT747Cmd to select download method.

Version 1.66.3
* Fixed problem in KML/HTML and possibly some other output formats where data
  from other files was repeated in 'One file per day' mode.
* Conversion to a file no longer makes the tab jump to the map.

Version 1.66.2
* Fixed problem in 'windowed' file - solves problem with smart download.
* Fixed problem (J2SE) with erase window being showed twice.
* Added delay for waypoint move on map.
* Added centering for 'user waypoints'.

Version 1.66.1
* Waypoint tagging did not work anymore following data structure changes.
  Fixed.

Version 1.66.0
* User Waypoint List added to map view.

Version 1.65.3
* Interoperability block taken into account in EXIF

Version 1.65.2
* Added scroll bar to tab pane

Version 1.65.1
* Fixed buttons that were unavailable after connection in log operations panel.

Version 1.65.0
* Refactoring of Log Operations Panel.  Solved problem with short cut conversion buttons
  not being displayed on some systems.

Version 1.64.8
* More thread synchronisation protection for serial connection.

Version 1.64.7
* Hopefully fixed a minor naming problem in KML output.

Version 1.64.6
* fix in CSV output format and correction to RCR field detection in GPSRecord.

Version 1.64.5
* Selection between different maps is possible.

Version 1.64.4
* Extra buttons added.
* Mapping library updated.
* Problem with multiple files in KMZ output resolved.

Version 1.64.3
* Map mashup code improved + cache identifies map type in filename.

Version 1.64.2
* Map can be cached on disk.

Version 1.64.1
* Improvements on track calculations.
* New unused classes added for future reference.
* Setup in Netbeans 6.5 (classpath)

Version 1.64
* Right click on waypoint will show record number and type.
* Some corrections to track rendering and added waypoints tab.

Version 1.63.7
* Tracks added on the map.  Not perfect yet when the track goes outside the window.

Version 1.63.6
* Tracks added on the map.  Not perfect yet when the track goes outside the window.

Version 1.63.5
* Trackpoints from log added to the map.

Version 1.63.4
* Positions (waypoints) can be moved around on the map and the positions
  in the file list get updated.

Version 1.63.3
* Removed other data request that was inappropriate.

Version 1.63.2
* Setting the boundary limit resulted in permanent problem.
  No longer automatically requesting data during download now.

Version 1.63.1
* Log download requests no longer include a 0x10000 boundary.

Version 1.63
* Added map tab

Version 1.62.17
* Drag and drop of files added to Files tab.

Version 1.62.16
* Fixed time offset calculation on value restoration.
* No more adding the hyphen when the basename is empty.

Version 1.62.15
* Solved several issues in geotagging.

Version 1.62.14
* Added 'sym' field to GPX output (for PotLatch waypoints on OSM).
* JPG Exif reading was broken.

Version 1.62.13
* Seconds added to file time offset.
* Correction in new UTC offset combobox code.
* Added BT mac address setting, other download methods, settings store & restore.

Version 1.62.12
* Added Exit button functionality & improved exit functionality.
* Added time offset functionality for waypoint files.

Version 1.62.11
* Problem when JFIF marker in front of EXIF marker solved.
  This does not seem to comply with the EXIF2.2 specification though.

Version 1.62.10
* Writing back geotag information working when some EXIF information present.
  Need to check when EXIF not present.

Version 1.62.9
* Getting modification time from files for files to tag and changed GUI text.
  File filters now allow directory listing.
    
Version 1.62.8
* Reworked code - images seem to be geopositioned correctly.  Surely still some
  problems remaining.

Version 1.62.7
* Images in table with geotag information are now 'mapped' in the output.
  Images without geotag information may be positions based on time (UTC).

Version 1.62.6
* First image table added.

Version 1.62.5
* Problem with table initialization (GUI table) seen on Java 1.5 - should be corrected.

Version 1.62.4
* Further improvement to KML/KMZ output and to GPX output (empty point).

Version 1.62.3
* Waypoints in KML and KMZ output now arranged in subfolders labeled by date.d
* run_j2se.bat startup script change to allow command line execution.

Version 1.62.2
* First implementation of GUI table output.
* Fixed a bug in the HTML output - tracks were drawn during way point calculation.

Version 1.62.1
* Auto update of values that change in the device without application intervention.

Version 1.62
* All languages in one package.
* Limits on time interval, distance, speed increased.

Version 1.61.10
* Added reverse address lookup in HTML output.  Clicking the same location twice
  (not doubleclick!), shows the address of the location if known by GMaps.
* Fix in the download code that had major impact in Mobile Version.

Version 1.61.9
* Change in startup scripts to copy with 64/32 bit on linux.

Version 1.61.8
* Handling of binary files that are in 'overwrite mode' improved.
  Looking for 'start' in file.

Version 1.61.7
* Dutch added, some corrections to language selection handling.

Version 1.61.6
* Added language configurability to GUI.

Version 1.61.5
* NMEA input ant output functionality adjusted to be coherent with height correction.
  NMEA now considered as WGS84.

Version 1.61.4
* Height conversion option extended: automatic, no change, msl_to_wgs84, wgs84_to_msl.
* Height limitation in binary input check increased: limit now 15000 in stead of 10000.

Version 1.61.3
* DOS Startup scripts improved.

Version 1.61.2
* Linux startup scripts corrected & improved.
* Change in html output (window height does not need to be 400).


Version 1.61.1
* Corrected html waypoint output when multiple dates in one file.
* Added --height-to-msl in BT747cmd


Version 1.61
* Changed text of some buttons.
* Output File Prefix cleaned up when using path selection popup.

Version 1.60.24
* Added track split options.

Version 1.60.23
* NMEA record split condition improved.

Version 1.60.22
* Initialization of values in BT747cmd done by default initialisation and
  hence complete.

Version 1.60.21
* Fixed error in date interpretation in CSV input due introduced during
  addition of VGPS-900 support.

Version 1.60.20
* Fixed raw log file text input field in J2SE.
* KMZ output now buffered.

Version 1.60.19
* KMZ Fixed in BT747cmd.

Version 1.60.18
* Added KMZ output format in Desktop interface.

Version 1.60.17
* Fixed formatting of Double numbers (Locale trouble, visible in KML output).
* Added NMEA output and color options to BT747cmd

Version 1.60.16
* Added support for VGPS-900.

Version 1.60.13
* Repaired icon functionality.

Version 1.60.12
* Changed KML Format so that Google Maps can read it (despite its bugs...).
* Added Track Point Comment and Track Point Name options.  When both disabled,
  Track Points will not be shown individually in the KML output format.
  That makes the file much smaller.

Version 1.60.11
* All the popup messages are in nice boxes now.

Version 1.60.10
* Gray out the interface items that are invalid when not connected.
* Changed erase popup window button to 'Cancel'
* Changed default directory to user home directory.
* J2SE Interface did not correctly implement DPGS settings and overwrite/stop indicator.

Version 1.60.8
* Correction to BT747Cmd - "-f" option not correctly taken into account.

Version 1.60.7 (since 1.59.10)
* A lot of work on the J2SE interface.

Version 1.59.10 (since 1.57.9)
* Added extra debug information to INFO screen.
* CSV file also outputs way points now.

Version 1.59.7 (since 1.57.5)
* Many internal changes to make the code structure better overall.
* Special way points added in KML and HTML output.
* Download will not start until output command buffer is handled.
* J2SE interface pretty much implemented.
* Fix for incremental (smart) download.

Version 1.57.5
* Command line interface well advanced.

Version 1.57.3
* Refactored NMEA string handling in GPSstate, NMEA file read which also
  fixes bug regarding speed conversion in GPSstate.
* Added J2SE actionlisteners so that the appropriate code can be added to
  finish this GUI.


Version 1.57.2
* Changed identification of special way points (count starting from 0).
* Corrected logging way points and activating logging if needed.

Version 1.57
* Negative UTCs were not handled as an error in the filter 
  - now negative dates are 'filtered' and identified as a 
    bad field in raw logs.

Version 1.55.3
* Further corrections to save the settings
* Internal changes.

Version 1.55.2
* Saving the settings was broken - should be solved.

Version 1.55.1
* Waypoint list got inverted.
* When CSV was read, T was always added as log reason - corrected.

Version 1.55
* Added goto functionality to GMaps output.  Improved page layout setup (adding space for footer earlier).

Version 1.54.5
* Added extra maps to 'GMaps' output: Cycle map and OSM map using the Osmarender.
* Removed 'restart connection' in settings menu.
* Added 'stop log after connection' in settings menu.

Version 1.54.4
* Changed default for GPX track splitting 'trkseg when small'.
* Changed default for bad track color.
* When bad track color is equal to good track color (0000FF), this also has effect on GPX format.
  No new track or tracksegment when the color is the same (bad positions are ignored).

Version 1.54.3
* Added possibility to set BT mac address.

Version 1.54.2
* For GPX, trackpoint naming removed.
* Added detection of overwrite status in log - full download done when overwrite is active for first record.
* Requesting flash memory type on connection setup.
* Added extra port to mac script. 
* Making sure that the line endings in bat files are dos like.
* Full log download can be forced in PDA GUI.

Version 1.54.1
* For GMAP, the encoding is improved when the bad track color is the same as the good track color.
* For GMAP, added code to show position where clicked.
* File format output settings now stored in settings, but partially reverted on restart of the app.


Version 1.54
* tracks on google map now clickable
* Time information added to waypoints on google map.
* NMEA input functional
* Added extra output field filtering (for comments, trackpoint names)

Version 1.53.2
* Added 'SimpleExample.java' to show how to use basic functionality of the library.
  In the process, renamed some methods for consistency and added some methods to the controller and model.
  Also fixed issues in GPSArray creation.

Version 1.52.3
* Started adding support for reading NMEA (not operational yet).
* Added support to select output fields (implemented for some formats: KML, CSV, GMaps, to be done for others).
* Added functionality to GMAPS: description of waypoints.
* Other internal changes.


Version 1.52.2
* Added indication of number of available records.
* Fixed bug regarding enable of test SBAS following code reading.
* Fixed two issue with google map generation: one due to changes for style (\r\n in output),
  the other due to old changes (no separate labels for tracks). 

Version 1.52.1
* Refactoring & commenting of code.
* Bug correction regarding holux log record size estimation (and number of max records)

Version 1.52
* Corrected another problem regarding connection.
* Work on symbian target

Version 1.51
* Build was not correct for making the connection (result of refactoring).
  Corrected the build script.

Version 1.50
* A user was using the 'new', buggy parser by unfortunate coincidence.
  Now forcing the 'standard' parser on SuperWaba interface regardless of previous
  setting that could have been changed in the J2SE interface.
* The format bit that said 'Holux M-241' is actually indicating that only valid log points
  should be logged - changed the description.
* RXTX binaries went missing from the delivery (since >1.43?) - fixed.

Version 1.49
* Fix of the 'bt747_maxosX.command' script
* Log conditions written to CSV output format (when requested in menu)
* Small reorganisation of menu
* Reorganisation of code (hopefully with no functional impact on user)

Version 1.48
* Resolved issue concerning log on/off indication
* Resolved web launch issue
* Resolved issue in GPSCompoGPSTrk format (waypoint)
* Some extra recognition of models
* Fixed conversion when CSV input and no fix or rcr information is available.
* Able to get bluetooth mac address (Holux M241)
* Converting Holux M 241 waypoint information 

Version 1.47
* Date/time indicated on gmaps page was incorrect in "most" cases.  Solved.
* Directory structure changed.  build.xml improved.

Version 1.46
* End of block handling improved - especially usefull for Holux M241 devices with
  satellite logging active.

Version 1.45
* Distance can now be expressed in decimeters.
* Problem mainly appearing on WM devices should be solved now.

Version 1.44
* Added japanese beta
* Reverted a change from 1.39 to 1.40 that potentially harmed PocketPC users (removed static
  on menu string list).

Version 1.43
* Some changes in startup order to see effect on WM5.0 device.

Version 1.42
* Improvements to binary log format interpretation, especially for Holux M-241 format.
  Has an impact on other log interpretations too (the implemented error recovery mechanism
  was hiding some bugs in the 'iBlue 747 like format interpretations).


Version 1.41
* Some changes in device recognition (given new device info with BT-Q1000).
* Possibility to add record number in logs (gpx, kml).
* A warning message is provided when no records were selected.
* Date filter was not taken into account for advanced filter - solved.
* CSV files can be read now.
* Added option to force 'Holux 241' format and improved interpretation of Holux M241 format.

Version 1.40
* Deactivating device logging automatically during download.
  The original setting is restored after download.
  Some users reported a positive effect of disabling logging during download.
* Changed GMAP format to be able to activate/de-activate parts of the track.
* Possibility to set key for Google Map file through 'gmapkey.txt' file.

Version 1.39
* Settings of device can now be saved and restored (after battery removal for example)
* German translation
* French translation
* Chinese translation (automatic -> beta)

Version 1.38
* Spanish translation!
* Some changes to the forced erase procedure.

Version 1.37
* Somewhat more tolerant if header is all 0xFF (in case of holux);
* "Externalised" <<all>> interface strings to separate class for translation
* Added target for spanish translation in Ant build file
* Set up an environment in netbeans (for trial)
* Included 'forgotten' source directory in distribution, and added netbeans.

Version 1.36
* Added Holux specific functionality (Name setting) - untested.
* Resolved bug regarding satellite information in NMEA output format when no satellite info
 is available.

Version 1.35
* Extra sanity check on a record to ensure that it is valid.
* Also writing WPT file when writing TRK file (CompeGPS).

Version 1.34
* Back to using the log format bit #31 to identify the log as a Holux specific log.
  The 'HOLUXGR241LOGGER' string is not necessarily in the log!

Version 1.33
* If binary file has '.trl' extension, it will be interpreted as a Holux tracklog file.
  Careful: the application can not generate such a file!

Version 1.32
* Added estimation of number of records to log Format Tab.

Version 1.31
* Ignoring NMEA data done at an earlier stage while downloading - hopefully improves
  performance on PDA devices.
* Focus highlighting made configureable and disabled by default on some devices.

Version 1.30
* CompeGPS 'TRK' format added
* Extra NMEA strings added to NMEA format (GSA,GSV)

Version 1.29
* Using other technique to determine if log is from a holux (M-241) device.
* Buttons turning green during conversion.

Version 1.28
* Support for Holux M-241 added - the log is slightly different from the other devices
  but is now correctly handled for time, lat, lon and height data.

Version 1.27
* Selected port number was not correctly recovered from settings.

Version 1.26
* Possibility to change baud rate setting.
* Removed 'USB' button, no longer usefull (other means exists)

Version 1.25
* Updated the UTC range to go up to +14.

Version 1.24.1
* Added new button on the 'Easy tab': Forced erase.  This will reformat the log and reset
  any statistics regarding bad sectors.
* Added initial delay to check if erase was successfull.

Version 1.23
* NSAT advanced filter logic was inverted - corrected

Version 1.22
* Solution provided in 1.21.2 resulted in KML format generation problems.
  Solution is improved.

Version 1.21.2
* Extra 'DataFooter' was written at end of file (at least for the GPX format) - solved.

Version 1.21.1
* Added flash device type (no functional changes)

Version 1.21
* Advanced filter was not set up correctly - correctly.
* Index out of range could occur when estimating size of a record due to signed
  bit shift - solved (unsigned bit shift).

Version 1.20
* Solved several problems related to multiple and single file creation.

Version 1.19.1
* Added an extra condition for MacOS to solve the flicker with menus and popups.
  The program seems to behave normally on that OS now.

Version 1.19
* Added a popup when erasing that disappears when the erase is finished.
* Lag delay resolution on MacOS resolved - popups will flicker on MacOS though.
  This looks very much like a SuperWaba problem - maybe it will get analysed so
  that flicker on MacOS can be made to disappear.  At least the lag is gone.

Version 1.18
* Yet another update to try and solve the MacOS lag problem.
* More information shown on the connection tab (Flash Information & logger version)
* Added possibility to log a point with a specific reason other than speed, distance, time, button, ..
* Added possibility to change value for color of invalid tracks (currently in GMAP format)
* Solved bug releated to trackpoints not being written to the first file in certain output formats.


Version 1.17.X  - BETA
* Yet another update to try and solve the MacOS lag problem.

Version 1.17
* Yet another update to try and solve the MacOS lag problem.

Version 1.16
* Added a timer to the applciation to see if this solves the MacOS GUI lag issue.

Version 1.15
* Reading GPS in 10ms intervals only - hopefully resolves 'speed' issue on MacOS.

Version 1.14
* Changed 'magvar' in 'course' for the 'heading' value in the 'gpx' format.

Version 1.13
* MacOSX startup script corrected (line endings, line split)
* Added possiblity to disable GPS NMEA String decoding (on Con tab).  Could have some
  impact on performance.
* Added possibility to write values to Flash (other tab) as some devices have a
  timesleft value other than 0.

Version 1.12
* Correction in advanced filter for NSAT filtering.
* Changes that should be 'invisible' to the user: calls to the superwaba environment pushed
  into a separate package for the 'core' of the program.  This prepares for J2ME implementation.
* Added functionality to be able to define the configuration file on the command line
  in 'RXTX' mode.

Version 1.11
* Added extra option to no longer separate in different tracks in GPX mode when new menu option is set.

Version 1.10
* Advanced filtering added (filtering on PDOP, VDOP, HDOP, speed, distance, record number.
  A new subtab in the filter tab added.  Advanced filtering must be set to 'active' in that
  tab to enable the filtering.

Version 1.09
* Correction to speed in GPX format (was always 0 after the change for 1.08.
* Incremental download: small improvement.

Version 1.08
* Fixed problem in incremental download (usefull data detection had an error => too much data redownloaded).
* GPX format: speed was in km/h and has to be in m/s -> solved.
* Incremental download: if data is different than before, user confirmation is requested.
  This way the user can still change the raw data filename (avoid overwriting previous data by mistake).
* NMEA format: more precision added (2 extra digits for position and one extra digit for speed).

Version 1.07
* Added path browsing capability to 'LogFile' entry on Filetab.  This allows easy opening of
  previously saved raw data file.
* Added functionality to separate files based on track time separation.

Version 1.06
* GPRMC NMEA string made similar to the one coming from device (extra field indicating autonomous or DGPS).
* Showing current Lat, Lon and Height in Connection window (if values are shown, reception is ok).

Version 1.05
* Added possiblity to force UTC offset in GPX format to 0 regardless of UTC setting.

Version 1.04
* Filter condition changed: now no longer selecting points when all conditions 'deselected'.
* Debug activation added in menu (and stats activation added, but not useable yet).

Version 1.03
* When no height was logged, problem in KML format (empty height) string resulting in bad
  display -> solved.
* Reason for 1.02: Proguard version problem -> false alert.  Actually a user problem.

Version 1.02
* Moved back to previous ProGuard version.  One user had a different behaviour on his handheld device.

Version 1.01
* Moved to ProGuard 4.0.1 (jar file optimization)
* Some optimizations in settings code.
* If not selecting ZDA, time for NMEA strings was incorrect.

Version 1.00
* Version 0.96.3 has been out for long enough.  I consider the application as stable enough to call it 1.00. 
* Added some extra error messages being propagated to the end user (file open/creation).
* It is now possible to select the NMEA strings to be written to the output file  (Other tab -> NMEA File tab).
* The device type (Model) is identified by its commercial name (or commercial equivalent).

Version 0.96.3
* A change for Macintosh: The mac does not need a port number, so port number omitted.
  Added possibility to override port name completely.

Version 0.96.2
* A bug in the incremental download was introduced in 0.96.1.  The end of valid data was incorrectly identified.
  Corrected in this update.
  
Version 0.96.1
* Revisited log download algorithm.  Now requests can be queued.
  This was efficient over bluetooth where download was about 54k/second with the following settings on Palm:
    - Chunk size=220
    - Log ahead request=3
    - Timeout=3500
    - Fix = 500 ms
    - NMEA Output:
       RMC=1
       GGA=GSA=GSV=2

Version 0.95.14
* PPC/WinCE: Create 'My Documents/BT747' directory if it does not exist to save the application settings.

Version 0.95.13
* Application will no longer switch off automatically on Palm devices - this avoids some (timeout)
  trouble on Palm devices and avoid autooff during download.
* Path to log directory can now be set from pull-down list.
* Validated operation on Linux system (PCLinuxOS) and adjusted 'run_rxtx.sh' script.

Version 0.95.12
* Google maps: when tracks are separated due to a trackpoint that is 'lost', track segments
  are interconnected with red line.


Version 0.95.11
* Added waypoints to Google Map output format and points are now 'encoded'.

Version 0.95.10
* Implemented 'GMAPS' output format : HTML file that will show trail on google maps.

Version 0.95.9
* Added functionality to read and change the NMEA string settings of the device.


Version 0.95.8
* PLT: conversion to height in feet was incorrect. Corrected.


Version 0.95.7
* NMEA format: speed written in knots was wrong conversion from speed in km/h
 (almost double instead of half).  Corrected.

Version 0.95.6
* Changed interface of connection tab.
* RxTx: different port name according to OS (Windows, Linux, Mac).  This allows direct
  use of RXTX on windows (and other systems) and should result in less installation
  hassle.
* Problems when interpreting satelite information solved:
 - data log specification problem;
 - last record of block;
 - false end of record identification.
* Moved BT747.jar and BT747_rxtx.jar to dist dir, this impact startup scripts.


Version 0.95.5
* Increased limits on fix setting (fix frequency slower than 1Hz now possible) and on 
  log reason settings (speed as low as 1km/h and distance as low as 1 m).

Version 0.95.4
* Added tickbox to remove difference between WGS84 and geoid (Mean Sea Level, MSL) from
  the logged height (as it was added by the logger).

Version 0.95.3
* KML format got improved: Track added (with extrusion) to show a line in stead of points.
* Some extra error messages in case of file problems.

Version 0.95.2
* Added specific target for Linux (serial port opening in entirely new class).
  A linux specific 'jar' file has been created (in the Linux directory).
  Experimental and untested.
* Bug fix: no more file was written when 'one file per day' was not selected.
* Performance improvement (profiled File output writing)
* KML format change (waypoints added).


Version 0.95.1
* Bug fix (on device): clone() method does not exist for arrays - replaced y explicit copy.
  User effect: java exception when converting to output format on device (solved).
* Bug fix: no more file was written when 'one file per day' was not selected.
* Performance improvement (profiled File output writing)

Version 0.95
* Bug fix (incorrect log interpretation when RCR and Distance not both logged)
* Satellite information now decoded from log.
* Satellite information written to CSV file.

Version 0.77.23
* Solved some bugs related to the file splitting per date & improved function to avoid files without elements.
* Added feature to change log format without erasing the device.  The resulting log can
  not be read by the original application delivered with the device, but this program
  can read the log.
* Worked around a problem when satellite specific data is logged (sid, ele, snr, azimuth).
  The amount of data varies with the number of satelites - this is now covered for.
  The data is not interpreted though and not written to any output file (sorry, but I do
  not need that function and this is volunteering!).

Version 0.77.22
* All formats now have a filename including the date.
* Method reuse in file output classes (resulting in smaller footprint)

Version 0.77.21
* Added popup message when file for download could not be opened.
* GPX: filename now includes date.  If 'one file per day' is checked, then there are as many
  files as there are days logged.
* Resolved bug concerning retrieving settings when upgrading.
* The trkpts in the gpx file now also include the comments.

Version 0.77.20
* Added new tab with some functions frequently requested on forums (fix freq.) and some not
  available on other tabs (hot/warm/cold start).

Version 0.77.19
* On ppc (wince), settings now saved on program exit.
* Log point filtering now separated for waypts and trkpts.
* Optimizing with proguard (resulting in smaller object files)

Version 0.77.18
* Updates to gpx format
* Setting saved on ppc (wince) OS.  Must click on 'set values button' in 'File' tab for the moment to save the settings.

Version 0.77.17
* Modified display of device version and application SW version for better information.
* Added NMEA output format (readable by locr SW).
* Added script and instructions for launching on Linux - partially validated.

Version 0.77.16

* Solved problem regarding timeout on first request.  Fixes double requests for same data and speed up download.
* CSV: LAT/LON values no longer converted to positive values.  In that manner paths can be shown
  directly in an excel graph.

Version 0.77.15

* Not really tested dev version!!!  Purpose deliver latest version on the web before 3 weeks leave.
* Should solve filtering bug when RCR or VALID field missing.
* Some (unnoticeable) bugs resolved.

Version 0.77.14

* Correction of calculation for percentage of memory used.
* Getting device firmware version & model.
* Improved log download on portable device (Palm).
   -> Command acknowledge taken into consideration
   -> Timeout implementation on 'check log'
* PLT format revisited (from http://www.oziphototool.com/fileformats.html)
* CSV format: units no longer mentioned in fields, only in header.

Version 0.77.13

* Added UTC offset field.  This will change the output time and midnight time for date selection.

Version 0.77.12

* Handling more field.  Now all are handled except the variable fields concerning satelite
  information.
* Some (supposed) improvement on data download from device.  This is difficult to validate.

Version 0.77.11

* Added read of flash options (did not activate writing them since not possible it seems)

Version 0.77.10

* Added configuration option 'overwrite/stop'
* Added card selection functionality for Palm devices.
* Allow floating point entry for time interval.  Usefull for 5Hz logging (set time
  interval to 0.2s and fix to 200 ms).

Version 0.77.9

* Added connection version to connection page
* Correct logic concerning null pointer (hopefully this works!).
* Added repaint for all items that were potentially updated after reception of data.
* Added initial version to write Ozi PLT file.

Version 0.77.8

* Problem with default directory setting solved (null pointer)
* Download chunk size and timeout are configurable (for finetuning)


Version 0.77.7

* Following feedback from users, setting download chunck size to 0x200 by default.
* On PPC and WinCE devices, improved the default setting of the output directory.

Version 0.77.6

* Solved 'bug' concerning Gps status update propagation by introducing specific events.

Version 0.77.5

* Implemented more finegrained incremental download.

Version 0.77.4

* Fixed problem when saved option string was empty (resulted in reset).

Version 0.77.3 
* Fixed problem when launching first time (no saved options)

Version 0.77.2
* File setting configuration and memorization.
* Palm download chunck size adjustment

Version 0.77.1

* The PalmOS BT buffer seems 'small' and overruns happened going unnoticed by the SW.
  Now downloading smaller packets & matching size downloaded.
* It is possible to set the base directory for file operations.
* Added more ports to connect to.

Version 0.76

* Fixed incremental logging partially, but still problems to make it work on Palm
   (works on PC) - something to do with read/write capabilities of files on PalmOS.
* The log can now be converted correctly without being connected - the log format
  information is retrieved from the log file itself.
* Added a '.bat' script to launch on windows.

Version 0.75

* Incremental download of log added
* Date filter : corrected calculation of internal UTC date.

Version 0.7

* Added log filtering capability.

Version 0.6

* Added conversion to 'gpx' format;
* Solved issue retrieving log format when clicking on tab;
* Kml format slightly improved so that Google Earth recognizes the time.

Version 0.51

* Added conversion to KML